GitLab 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1879777 漏洞类型 跨站脚本
发布时间 2019-12-30 更新时间 2020-01-08
CVE编号 CVE-2018-20496 CNNVD-ID CNNVD-201912-1252
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201912-1252
|漏洞详情
GitLab是美国GitLab公司的一款使用Ruby on Rails开发的、自托管的、Git(版本控制系统)项目仓库应用程序。该程序可用于查阅项目的文件内容、提交历史、Bug列表等。 GitLab(社区版和企业版)11.2.x版本至11.4.x版本(11.4.13版本已修复)、11.5.6之前的11.5.x版本和11.6.1之前的11.6.x版本中存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。
|参考资料

来源:about.gitlab.com

链接:https://about.gitlab.com/2018/12/31/security-release-gitlab-11-dot-6-dot-1-released/


来源:CONFIRM

链接:https://gitlab.com/gitlab-org/gitlab-ce/issues/54427


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2018-20496